--- siag-3.5.1.ori/common/common.scm	Mon Jan  7 16:10:24 2002
+++ siag-3.5.1/common/common.scm	Sat Apr 13 23:40:14 2002
@@ -177,8 +177,8 @@
 
 (define (do-help helpfile)
 ;  (putenv (string-append "SIAGHELP=" help-command))
-;  (spawn (string-append "siaghelp file:" docdir "/" helpfile)))
-  (spawn (string-append "siagrun help file:" docdir "/" helpfile)))
+;  (spawn (string-append "siaghelp " docdir "/" helpfile)))
+  (spawn (string-append "siagrun help " docdir "/" helpfile)))
 
 (define (do-link url)
 ;  (putenv (string-append "SIAGHELP=" help-command))
--- siag-3.5.1.ori/common/docs/siaghelp	Wed May 23 19:14:14 2001
+++ siag-3.5.1/common/docs/siaghelp	Sat Apr 13 23:37:19 2002
@@ -6,6 +6,8 @@
 # Put this script in a directory in your PATH. Then do:
 # SIAGHELP=siaghelp; export SIAGHELP
 
+# Modified to look for dillo, links, and lynx.
+
 if [ "$SIAGHELP" = "siaghelp" ]; then
 	unset SIAGHELP
 fi
@@ -13,8 +15,12 @@
 WS=`which "$SIAGHELP" 2> /dev/null`
 
 if [ "$SIAGHELP" = "" -o ! -x "$WS" ]; then
-	if which netscape > /dev/null; then
-		SIAGHELP=netscape
+       if which launch > /dev/null; then
+               SIAGHELP="launch -l"
+	elif which dillo > /dev/null; then
+		SIAGHELP=dillo
+       elif which links > /dev/null; then
+	        SIAGHELP="xterm -e links"
 	elif which lynx > /dev/null; then
 		SIAGHELP="xterm -e lynx"
 	else
diff -ur siag-3.5.7.ori/stocks/currency.c siag-3.5.7/stocks/currency.c
--- siag-3.5.7.ori/stocks/currency.c	Mon Feb 24 02:32:35 2003
+++ siag-3.5.7/stocks/currency.c	Sat Mar  8 22:07:34 2003
@@ -23,7 +23,9 @@
 
 #include <stdio.h>
 #include <string.h>
+#ifndef __APPLE__
 #include <malloc.h>
+#endif
 #include <stdlib.h>
 
 #include "stocks.h"
diff -ur siag-3.5.7.ori/stocks/http.c siag-3.5.7/stocks/http.c
--- siag-3.5.7.ori/stocks/http.c	Fri Feb 28 22:55:03 2003
+++ siag-3.5.7/stocks/http.c	Sat Mar  8 21:59:28 2003
@@ -20,13 +20,13 @@
 
 #define __HTTP_C__
 
+#include <sys/types.h>
 #include <sys/socket.h>
 #include <netinet/in.h>
 #include <arpa/inet.h>
 #include <netdb.h>
 #include <unistd.h>
 
-#include <sys/types.h>
 #include <ctype.h>
 #include <string.h>
 #include <stdlib.h>
diff -ur siag-3.5.7.ori/stocks/lists.c siag-3.5.7/stocks/lists.c
--- siag-3.5.7.ori/stocks/lists.c	Mon Feb 24 02:32:35 2003
+++ siag-3.5.7/stocks/lists.c	Sat Mar  8 22:05:11 2003
@@ -20,7 +20,11 @@
 
 #define __LISTS_C__
 
+#ifdef __APPLE__
+#include <stdlib.h>
+#else
 #include <malloc.h>
+#endif
 #include <stdio.h>
 #include <string.h>
 
diff -ur siag-3.5.7.ori/stocks/stocks.c siag-3.5.7/stocks/stocks.c
--- siag-3.5.7.ori/stocks/stocks.c	Fri Feb 28 22:55:11 2003
+++ siag-3.5.7/stocks/stocks.c	Sat Mar  8 22:06:24 2003
@@ -22,7 +22,9 @@
 
 #include <stdio.h>
 #include <string.h>
+#ifndef __APPLE__
 #include <malloc.h>
+#endif
 #include <stdlib.h>
 
 #ifdef __WINDOWS__
--- siag-3.6.0.ori/xegon/window.c	Tue Nov  4 10:50:39 2003
+++ siag-3.6.0/xegon/window.c	Wed Nov  5 22:56:56 2003
@@ -1376,7 +1376,7 @@
 		    fallback_resources,	/* for missing app-defaults file */
 		    mwApplicationShellWidgetClass,
 		    NULL);		/* terminate varargs list */
-
+	drop_types = MwMalloc(3 * sizeof *drop_types);
 	drop_types[0] = XInternAtom(XtDisplay(topLevel), "text/plain", False);
 	drop_types[1] = XInternAtom(XtDisplay(topLevel), "text/uri-list", False);
 	drop_types[2] = None;
--- siag-3.6.0/xed/special.c~	2005-01-17 00:58:36.000000000 +0100
+++ siag-3.6.0/xed/special.c	2005-01-17 01:18:27.000000000 +0100
@@ -37,10 +37,10 @@
  * Germany , 6.3.91                                                *
  *******************************************************************/
 
+#include "xedit.h"
 #include <stdlib.h>
 #include <unistd.h>
 #include <fcntl.h>
-#include "xedit.h"
 #include <limits.h>
 #include "../common/common.h"
 #include "../xcommon/xcommon.h"
--- siag-3.6.0/xed/commands.c~	2005-01-17 00:58:36.000000000 +0100
+++ siag-3.6.0/xed/commands.c	2005-01-17 01:19:10.000000000 +0100
@@ -37,10 +37,10 @@
  * Germany , 4.3.95                                                *
  *******************************************************************/
 
+#include "xedit.h"
 #include <stdlib.h>
 #include <unistd.h>
 #include <fcntl.h>
-#include "xedit.h"
 #include <limits.h>
 
 /* Used global widgets */
